AuMakeChangeStateAction(3)

Name
AuMakeChangeStateAction - initialize an action

Synopsis
#include <audio/audiolib.h>

AuMakeChangeStateAction(action, trigger_state, trigger_prev_state, trigger_reason, flow, element_num, new_state)
    AuElementAction action; /* RETURN */
    unsigned char trigger_state;
    unsigned char trigger_prev_state;
    unsigned char trigger_reason;
    AuFlowID flow;
    unsigned char element_num;
    unsigned char new_state;

Arguments

action
    Returns the initialized action.

trigger_state
    Specifies the state that triggers the action. This must be one of these constants: AuStateStop, AuStateStart, AuStatePause, or AuStateAny.

trigger_prev_state
    Specifies the previous state for the trigger. This must be one of these constants: AuStateStop, AuStateStart, AuStatePause, or AuStateAny.

trigger_reason
    Specifies the reason for the action. This must be one of these constants: AuReasonUser, AuReasonUnderrun, AuReasonOverrun, AuReasonEOF, AuReasonWatermark, AuReasonHardware, or AuReasonAny.

flow
    Specifies the ID of the flow to affect.

element_num
    Specifies the index of the element to affect.

new_state
    Specifies the new state for the flow. This must be one of thses constants: AuStateStop, AuStateStart, or AuStatePause.

Description
AuMakeChangeStateAction sets the action field of action to AuElementActionChangeState and initializes the other fields with the remaining arguments.

AuMakeChangeStateAction is implemented as a macro.

See Also
AuMakeSendNotifyAction, AuMakeNoopAction.

audiolib - Network Audio System C Language Interface